Subject: I can't reproduce this

From: Dave Abrahams <[email-masked]>
Date: Sun, 23 Oct 2011 12:58:48 -0400

In emacs 23.3, I tried to build a minimal test case that would exhibit
some of the problems cited here, and failed.  What I wrote is below, and
loading it with `emacs -Q -l test.el' seems to produce the expected
results.  If there *is* a real problem, it seems to me, some simple
variation on this code should show it.

;; define a couple of faces to be used in the theme
(defface face1
    '((t :background "pink"))
    "first test face")
(defface face2
    '((t :background "yellow"))
    "second test face")

;; simulate (load 'theme1)
(deftheme theme1
  "1st test theme")
(custom-theme-set-faces
 'theme1
 '(face2 ((t (:slant italic :inherit (face1)))))
 '(face3 ((t (:background "yellow"))))
 '(face4 ((t (:inherit (face3))))))
(provide-theme 'theme1)
;; done loading theme1

;; define some more faces used in the theme
(defface face3
    '((t :background "pink"))
    "3rd test face")
(defface face4
    '((t :slant italic))
    "4th test face")

;; inspect the faces
(setq inhibit-startup-screen t)
(customize-apropos-faces "^face[0-9]")